<template>
  <v-btn
    icon="mdi-trash-can-outline"
    variant="tonal"
    size="small"
    color="error"
    class="ml-4"
    @click="isConfirmShown = true"
  />

  <ConfirmationDialog
    v-model="isConfirmShown"
    :is-loading="false"
    confirm-btn-icon="mdi-trash-can-outline"
    confirm-btn-label="Удалить"
    @confirm="onConfirmClick"
  >
    Вы действительно хотите удалить эту заметку?
  </ConfirmationDialog>
</template>

<script setup lang="ts">
import { ref } from 'vue';

import ConfirmationDialog from '@/components/layout/ConfirmationDialog.vue';

const props = defineProps<{ note: IGuestNote }>();
const emit = defineEmits(['delete']);

const isConfirmShown = ref(false);

const onConfirmClick = async () => {
  emit('delete', props.note.id);
  isConfirmShown.value = false;
};
</script>